Package org.apache.lucene.backward_codecs.lucene94

## Class Lucene94Codec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.backward_codecs.lucene94.Lucene94Codec

- All Implemented Interfaces:
    `NamedSPILoader.NamedSPI`

      public class Lucene94Codec
      extends Codec

  Implements the Lucene 9.4 index format

  If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

  See Also:
    `package documentation for file format details.`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Lucene94Codec.Mode` | Configuration option for the codec.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene94Codec()` | Instantiates a new codec.
    `Lucene94Codec​(Lucene94Codec.Mode mode)` | Instantiates a new codec, specifying the stored fields compression mode to use.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompoundFormat` | `compoundFormat()` |
    `DocValuesFormat` | `docValuesFormat()` |
    `FieldInfosFormat` | `fieldInfosFormat()` |
    `DocValuesFormat` | `getDocValuesFormatForField​(String field)` | Returns the docvalues format that should be used for writing new segments of `field` .
    `KnnVectorsFormat` | `getKnnVectorsFormatForField​(String field)` | Returns the vectors format that should be used for writing new segments of `field`
    `PostingsFormat` | `getPostingsFormatForField​(String field)` | Returns the postings format that should be used for writing new segments of `field`.
    `KnnVectorsFormat` | `knnVectorsFormat()` |
    `LiveDocsFormat` | `liveDocsFormat()` |
    `NormsFormat` | `normsFormat()` |
    `PointsFormat` | `pointsFormat()` |
    `PostingsFormat` | `postingsFormat()` |
    `SegmentInfoFormat` | `segmentInfoFormat()` |
    `StoredFieldsFormat` | `storedFieldsFormat()` |
    `TermVectorsFormat` | `termVectorsFormat()` |

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene94Codec

          public Lucene94Codec()

      Instantiates a new codec.

    - #### Lucene94Codec

          public Lucene94Codec​(Lucene94Codec.Mode mode)

      Instantiates a new codec, specifying the stored fields compression mode to use.
      Parameters:
        `mode` - stored fields compression mode to use for newly flushed/merged segments.

  - ### Method Detail

    - #### storedFieldsFormat

          public final StoredFieldsFormat storedFieldsFormat()

      Specified by:
        `storedFieldsFormat` in class `Codec`

    - #### termVectorsFormat

          public final TermVectorsFormat termVectorsFormat()

      Specified by:
        `termVectorsFormat` in class `Codec`

    - #### postingsFormat

          public final PostingsFormat postingsFormat()

      Specified by:
        `postingsFormat` in class `Codec`

    - #### fieldInfosFormat

          public final FieldInfosFormat fieldInfosFormat()

      Specified by:
        `fieldInfosFormat` in class `Codec`

    - #### segmentInfoFormat

          public SegmentInfoFormat segmentInfoFormat()

      Specified by:
        `segmentInfoFormat` in class `Codec`

    - #### liveDocsFormat

          public final LiveDocsFormat liveDocsFormat()

      Specified by:
        `liveDocsFormat` in class `Codec`

    - #### compoundFormat

          public final CompoundFormat compoundFormat()

      Specified by:
        `compoundFormat` in class `Codec`

    - #### pointsFormat

          public final PointsFormat pointsFormat()

      Specified by:
        `pointsFormat` in class `Codec`

    - #### knnVectorsFormat

          public KnnVectorsFormat knnVectorsFormat()

      Specified by:
        `knnVectorsFormat` in class `Codec`

    - #### getPostingsFormatForField

          public PostingsFormat getPostingsFormatForField​(String field)

      Returns the postings format that should be used for writing new segments of `field`.

      The default implementation always returns "Lucene90".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation,

    - #### getDocValuesFormatForField

          public DocValuesFormat getDocValuesFormatForField​(String field)

      Returns the docvalues format that should be used for writing new segments of `field` .

      The default implementation always returns "Lucene90".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### getKnnVectorsFormatForField

          public KnnVectorsFormat getKnnVectorsFormatForField​(String field)

      Returns the vectors format that should be used for writing new segments of `field`

      The default implementation always returns "lucene94".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### docValuesFormat

          public final DocValuesFormat docValuesFormat()

      Specified by:
        `docValuesFormat` in class `Codec`

    - #### normsFormat

          public final NormsFormat normsFormat()

      Specified by:
        `normsFormat` in class `Codec`